#!/usr/bin/env python
"""
Prune all the non-header data out of a PDS file. Usefull for geenerating test
data for CCSDS tools.
"""
import ctypes as c
import argparse

from edosl0util import stream

parser = argparse.ArgumentParser(description=__doc__)
parser.add_argument('pdsfile')
parser.add_argument('outfile')

args = parser.parse_args()

with open(args.outfile, 'wb') as fptr:
    idx = 0
    for pkt in stream.jpss_packet_stream(open(args.pdsfile)):
        h1 = pkt.primary_header
        h2 = pkt.secondary_header
        if h2:
            h1.data_length_minus1 = c.sizeof(h2)
            fptr.write(h1)
            fptr.write(h2)
            fptr.write('\xff')
        else:
            h1.data_length_minus1 = 0
            fptr.write(h1)
            fptr.write('\xff')

        idx += 1
