from setuptools import setup, find_packages

setup(
    name='EdosL0Util',
    author='Bruce Flynn',
    author_email='brucef@ssec.wisc.edu',
    description='Utilities for working with EDOS L0 PDS files',
    zip_safe=False,
    packages=find_packages(),
    include_package_data=True,
    use_scm_version=True,
    setup_requires=[
        'setuptools_scm'
    ],
    install_requires=[
        'h5py',
    ],
    extras_require={
        'testing': [
            'pytest',
            'pytest-cov'
        ]
    },
    entry_points="""
    [console_scripts]
    edosl0split = edosl0util.cli.split:main
    edosl0trunc = edosl0util.cli.trunc:main
    edosl0info = edosl0util.cli.info:main
    edosl0crinfo = edosl0util.cli.crinfo:main
    edosl0merge = edosl0util.cli.merge:main
    edosl0crgen = edosl0util.cli.crgen:main
    rdr2l0 = edosl0util.cli.rdr2l0:main
    """
)
